Skip to main content
GET
/
api
/
v1
/
logs
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/logs
import requests

url = "https://api.staging.qyl.dev/api/v1/logs"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/logs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "time_unix_nano": 123,
      "observed_time_unix_nano": 123,
      "body": {
        "string_value": "<string>"
      },
      "resource": {
        "service.name": "<string>",
        "service.namespace": "<string>",
        "service.instance.id": "<string>",
        "service.version": "2.1.0",
        "telemetry.sdk.name": "<string>",
        "telemetry.sdk.version": "2.1.0",
        "telemetry.auto.version": "2.1.0",
        "deployment.environment.name": "<string>",
        "cloud.region": "<string>",
        "cloud.availability_zone": "<string>",
        "cloud.account.id": "<string>",
        "cloud.platform": "<string>",
        "host.name": "<string>",
        "host.id": "<string>",
        "host.type": "<string>",
        "os.description": "<string>",
        "os.version": "<string>",
        "process.pid": 123,
        "process.executable.name": "<string>",
        "process.command_line": "<string>",
        "process.runtime.name": "<string>",
        "process.runtime.version": "<string>",
        "container.id": "<string>",
        "container.name": "<string>",
        "container.image.name": "<string>",
        "container.image.tag": "<string>",
        "k8s.cluster.name": "<string>",
        "k8s.namespace.name": "<string>",
        "k8s.pod.name": "<string>",
        "k8s.pod.uid": "<string>",
        "k8s.deployment.name": "<string>",
        "attributes": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "dropped_attributes_count": 1
      },
      "attributes": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "dropped_attributes_count": 1,
      "flags": 123,
      "trace_id": "0af7651916cd43dd8448eb211c80319c",
      "span_id": "b7ad6b7169203331",
      "instrumentation_scope": {
        "name": "<string>",
        "version": "2.1.0",
        "attributes": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "dropped_attributes_count": 1
      }
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}
{
  "type": "about:blank",
  "title": "Validation Failed",
  "status": 123,
  "errors": [
    {
      "field": "<string>",
      "message": "<string>",
      "code": "<string>",
      "rejected_value": "<string>"
    }
  ],
  "detail": "<string>",
  "instance": "<string>",
  "timestamp": "2023-11-07T05:31:56Z"
}
{
  "type": "about:blank",
  "title": "Internal Server Error",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "error_code": "<string>"
}

Query Parameters

serviceName
string

Service name filter

severityMin
enum<number>

Minimum severity Log severity number following OTel specification (1-24)

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24
severityMax
enum<number>

Maximum severity Log severity number following OTel specification (1-24)

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24
traceId
string

Trace ID filter Unique trace identifier (32 lowercase hex characters)

Required string length: 32
Pattern: ^[a-f0-9]{32}$
Example:

"0af7651916cd43dd8448eb211c80319c"

startTime
string<date-time>

Start time

endTime
string<date-time>

End time

query
string

Free text search

limit
integer<int32>
default:100

Page size

Required range: 1 <= x <= 10000
cursor
string

Cursor

orderBy
enum<string>

Order Log ordering options

Available options:
timestamp_asc,
timestamp_desc,
severity_asc,
severity_desc

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)